package com.platform.service;

import com.platform.dao.ApiOrderShippingMapper;
import com.platform.entity.OrderShippingVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * Created by Hb_zzZ on 2020/3/27.
 */
@Service
public class ApiOrderShippingService {

    @Autowired
    private ApiOrderShippingMapper orderShippingMapper;

    public OrderShippingVo queryObject(Integer id) {
        return orderShippingMapper.queryObject(id);
    }

    public List<OrderShippingVo> queryList(Map<String, Object> map) {
        return orderShippingMapper.queryList(map);
    }

    public int queryTotal(Map<String, Object> map) {
        return orderShippingMapper.queryTotal(map);
    }

    public void save(OrderShippingVo shippingEntity) {
        orderShippingMapper.save(shippingEntity);
    }

    public void update(OrderShippingVo shippingEntity) {
        orderShippingMapper.update(shippingEntity);
    }

    public void delete(Integer id) {
        orderShippingMapper.delete(id);
    }

    public void deleteBatch(Integer[] ids) {
        orderShippingMapper.deleteBatch(ids);
    }
}
